function [output_aligned] = fun_aligntopeak(input_result, input_align_result_length)
    
 
    if ~isempty(input_result)
        firstrow = zeros(1,size(input_result,2));
        input_result = [firstrow; input_result]; % add 0 at the very beginning 
        datalength = size(input_result, 1);  
        changing_speed = input_result(2:end, :)-input_result(1:end-1, :);        
        [~, index] = max(changing_speed, [], 1); % find the row number of maxium value in each event
        adjustment = floor(input_align_result_length/2) - index;
        assignin('base','index1',index);
        assignin('base','adjustment',adjustment);
        output_aligned = zeros(input_align_result_length, size(input_result, 2));
        for i = 1 : size(input_result, 2) % only align events when it doesnot exceed the hull
           if adjustment(1, i) <0
               adjustment(1,i)=0;
           end            
           if  datalength + adjustment(1, i) <= input_align_result_length 
               output_aligned(adjustment(1, i) + 1: datalength + adjustment(1, i), i) = input_result(1:datalength, i);           
           else
               output_aligned(adjustment(1, i) + 1: end, i) = ...
                   input_result(1:input_align_result_length-adjustment(1, i), i);
           end
           
        end
        
    else
        output_aligned = [];
    end
    
end

