function [output_image_bgsubtracted] = fun_background_subtraction(input_image, input_background_mask, input_minimumbackground)
    
    image_bgsubtracted = zeros(size(input_image));
    
    for i = 1:size(input_image,3)
        background_image = input_background_mask.*input_image(:,:,i); % generate masked background image
        background_intensity = sum(background_image, 'all')/sum(background_image>0,'all'); % calculate the background intensity
        image_bgsubtracted(:,:,i) = input_image(:,:,i) - background_intensity; % generate background-subtracted image
    end  
    
    mask_low = image_bgsubtracted < input_minimumbackground; % generate mask of intensity lower than threshold;
    mask_high = image_bgsubtracted >= input_minimumbackground;  % generate mask of image intensity higher than threshold;
    output_image_bgsubtracted = mask_high.*image_bgsubtracted + mask_low.*input_minimumbackground;  % generate image bgsbtracted image with smallest background equivalent to minimumbackground
 
end

