function [output_image_event_average, output_image_event_ratio_average] = fun_event_average...
                (input_map_event_ratio, input_list_event, input_event_hull, input_scale_image_event_movie, input_event_average_max)
    
    output_image_event_average = zeros(input_event_hull);
    output_image_event_ratio_average = zeros(input_event_hull);
    if ~isempty(input_list_event)
        reference = floor([input_event_hull(1)/2, input_event_hull(2)/2, 1]); % align image to this point 
        if size(input_list_event, 1)> input_event_average_max % determine the number of events to average
            event_n = input_event_average_max;
        else
            event_n = size(input_list_event, 1);
        end
        for i = 1 : event_n
            image_hull_event = zeros(input_event_hull); % generate empty image
            image_hull_event_ratio = zeros(input_event_hull);
            voxel = cell2mat(input_list_event(i));
            center_voxel = floor(mean(voxel, 1));
            center_voxel(1, 3) = voxel(1, 3);
            voxel_adjusted = voxel - center_voxel + reference;  % find the adjustment for the voxel         
            for j = 1 : size(voxel_adjusted, 1)
                if voxel_adjusted(j, 2) <= input_event_hull(1) && voxel_adjusted(j, 2) >= 1 ...
                        && voxel_adjusted(j, 1) <= input_event_hull(2) && voxel_adjusted(j, 1) >= 1 ...
                            && voxel_adjusted(j, 3)<= input_event_hull(3)
                        image_hull_event(voxel_adjusted(j, 2), voxel_adjusted(j, 1), voxel_adjusted(j, 3)) = 1;
                        image_hull_event_ratio(voxel_adjusted(j, 2), voxel_adjusted(j, 1), voxel_adjusted(j, 3)) = input_map_event_ratio(voxel(j, 2), voxel(j, 1), voxel(j, 3));
                end
            end
            output_image_event_average = output_image_event_average + image_hull_event;
            output_image_event_ratio_average = output_image_event_ratio_average + image_hull_event_ratio;
            %event_set(i, 1) = {image_hull_event}; % generate the whole set of image events   
            %event_ratio_set(i, 1) = {image_hull_event_ratio}; 
        end
        output_image_event_average = output_image_event_average ./ event_n .* input_scale_image_event_movie;                
        output_image_event_ratio_average = output_image_event_ratio_average ./ event_n .* input_scale_image_event_movie;        
    else      
        output_image_event_average = [];
        output_image_event_ratio_average = [];
        %event_set = [];
        %event_ratio_set = [];
    end 
    

end

