function [output_area, output_areabyratio, output_ratio, output_volume, output_halfwidth_duration_area] = ...
            fun_event_quantification(input_map_event_ratio, input_list_event)

    if ~isempty(input_list_event)
        for i = 1 : size(input_list_event, 1) % do the math layer by layer
            voxel = cell2mat(input_list_event(i)); % obtain voxel list for each object
            page_n = 1; % initial number of pixel
            page = voxel(1, 3); % initial z index
            output_volume(1, i) = size(voxel, 1); % pixel by pixel by layer 
            output_area(page_n, i) = 1; % initial pixel number
            output_areabyratio(page_n, i) = input_map_event_ratio (voxel(1, 2), voxel(1, 1), voxel(1,3)); % initial area * ratio
            for j = 2 : size(voxel, 1)
                if page == voxel(j, 3) % count the number of pixels in the same layer
                     output_area(page_n, i) = output_area(page_n, i) + 1;
                     output_areabyratio(page_n, i) = output_areabyratio(page_n, i) + ...
                          input_map_event_ratio (voxel(j, 2), voxel(j, 1), voxel(j,3));                      
                else
                     page_n = page_n + 1;
                     page = voxel(j, 3);
                     output_area(page_n, i) = 1; % initial pixel number
                     output_areabyratio(page_n, i) = input_map_event_ratio (voxel(j, 2), voxel(j, 1), voxel(j,3));                     
                end
            end
        end
    else
        output_area = [];
        output_areabyratio = [];
        output_volume = [];         
    end
    output_halfwidth_duration_area = sum((output_area > max(output_area, [], 1)./2), 1); % halfwidth is generated from area channel
    output_ratio = output_areabyratio ./ output_area;
    output_ratio(isnan(output_ratio)) = 0;   
    
end

