function [output_ROI_area, output_ROI_areabyratio, output_ROI_ratio] = ...
            fun_quantify_ROI(input_map_event_ratio)

    binary = input_map_event_ratio > 0; % binary map
    binary_n = sum(binary, 1:2); % count number of positive pixel in each layer
    output_ROI_area(:,1) = binary_n (1,1,:); % count number of positive pixel and rotate the matrix
    
    areabyratio = sum(input_map_event_ratio .* binary, 1:2); 
    output_ROI_areabyratio(:,1) = areabyratio(1,1,:);
    
    output_ROI_ratio = output_ROI_areabyratio./output_ROI_area;
    output_ROI_ratio(isnan(output_ROI_ratio)) = 0 ; % remove Inf number    
    output_ROI_ratio(output_ROI_ratio == Inf) = 0 ; % remove Inf number 
    
end

