function [output_image] = fun_readimage(input_filename, input_frame_max)
% this will read multilayer images and convert it to double
% input_frame_max indicate the maximum frame this function deals with to
% protect the system
    info = imfinfo(input_filename);
    if size(info,1) < input_frame_max
        output_image = zeros(info(1).Height, info(1).Width, size(info,1)); 
        parfor i = 1:size(info,1)
            output_image(:,:,i) = imread(input_filename,i);
        end
    else
        output_image = zeros(info(1).Height, info(1).Width, input_frame_max); 
        parfor i = 1:input_frame_max
            output_image(:,:,i) = imread(input_filename,i);
        end
    end       
    output_image = double(output_image);  % change to double
end

